SPI_copytupleintoslot()

NAME
SPI_copytupleintoslot - make a copy of a row and descriptor in the upper executor context

SYNOPSIS

TupleTableSlot * SPI_copytupleintoslot(HeapTuple row, TupleDesc rowdesc)

DESCRIPTION

SPI_copytupleintoslot makes a copy of a row in the upper executor context, returning it in the form of a filled-in TupleTableSlot structure.

ARGUMENTS

HeapTuple row
    row to be copied

TupleDesc rowdesc
    row descriptor to be copied

RETURN VALUE

TupleTableSlot containing the copied row and descriptor; NULL only if row or rowdesc are NULL